package org.jeecg.modules.bytedance.advertise.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * @author zianY
 *查询广告计划可用转化目标 入参
 */
@Data
public class AdConvertQueryVo implements Serializable {
    //广告主id
    private String advertiserId;
    //广告组推广目的过滤
    private String landingType;
    //投放内容
    private String promotionContent;
    //广告投放范围 允许值：DEFAULT（默认）、UNION（穿山甲）、UNIVERSAL（通投智选）
    private String deliveryRange;
    //落地页链接
    private String externalUrl;
    //应用下载类型，允许值:
    //APP_ANDROID、APP_IOS
    private String appType;
    //Android应用包名
    private String packageName;
    //iOS应用下载链接
    private String itunesUrl;
    //小程序app_schema
    private String appSchema;
    //附加创意类型
    private String advancedCreativeType;
    //游戏预约场景，附加创意类型为ATTACHED_CREATIVE_GAME_SUBSCRIBE游戏预约时填写，允许值:
    //GAME_PROMOTION（游戏大推）、GAME_SUBSCRIBE（游戏预约 ）、NORMAL（普通场景）
    private String marketingScene;


}
