package org.jeecg.modules.bytedance.advertise.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * @author zianY
 *获取创意里列表 入参
 */
@Data
public class ByteDanceSearchVo implements Serializable {
    //按照campaign_id过滤
    private String campaign_id;
    //按照ad_id过滤
    private String ad_id;
    //按照creative_id过滤，最多传100个。创意ID需属于当前广告主，否则会报错
    private String creative_ids;
    //按照creative_title过滤，支持模糊搜索。支持的最大长度为30
    private String creative_title;
    //按照广告组推广目的过滤
    private String landing_type;
    //按照广告计划出价方式过滤
    private String pricing;
    //按照创意状态过滤，默认为返回“所有不包含已删除”，如果要返回所有包含已删除有对应枚举表示
    private String status;
    //按照创意素材类型过滤
    private String image_mode;
    //广告创意创建时间，格式yyyy-MM-dd，表示过滤出当天创建的广告创意
    private String creative_create_time;
    //广告创意更新时间，格式yyyy-MM-dd，表示过滤出当天更新的广告创意
    private String creative_modify_time;
}
