package org.jeecg.modules.bytedance.advertise.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * @author zianY
 *获取广告计划 入参
 */
@Data
public class PlanSearchVo implements Serializable {
    //按广告计划ID过滤，
    private String[] ids;
    //按广告计划name过滤
    private String ad_name;
    //按出价方式过滤
    private String[] pricing_list;
    //按计划状态过滤，默认为返回“所有不包含已删除”，如果要返回所有包含已删除有对应枚举表示
    private String status;
    //按广告组id过滤
    private String campaign_id;
    //广告计划创建时间，格式"yyyy-mm-dd"，表示过滤出当天创建的广告计划
    private String ad_create_time;
    //广告计划更新时间，格式"yyyy-mm-dd"，表示过滤出当天更新的广告计划
    private String ad_modify_time;

}
